My Oracle Support Banner

Upgraded From Oracle Forms 12.2.1.3 To 12.2.1.4 And Receiving ORA-06508 Error (Doc ID 2796900.1)

Last updated on JANUARY 05, 2024

Applies to:

Oracle Forms - Version 12.2.1.4.0 and later
Oracle Forms for OCI - Version 12.2.1.4.0 and later
Information in this document applies to any platform.

Symptoms

On 12.2.1.4.0 version, Forms Services, C/S, Charmode

After upgrade from 12.2.1.3 to 12.2.1.4, running some forms are returning pop up box with ORA-6508 error when patch 31985579 or Patch 29494060 are applied to the instance.  The forms and libraries were created in an earlier version of Forms with Headstart.

All Forms and Libraries have been recompiled in the new version with compile_all=yes.
Patch 29918340 + 10407723 were applied and the behavior still occurs.
Setting FORMS_PLSQLV1_NAME_RESOLUTION=1 in the .env file resolves the error, but do not want to use due to details in Document 76551.1  How Forms Knows Which Program Unit to Call During Program Resolution?

ERROR
-----------------------
QMS-00100:  Unhandled Exception 0RA-6508: PLSQL: could not find program unit being called ORA-01403.

"QMS" is an error generated by the Quality Management System (OPERA) software. This error might be seen if running QMS. The error may differ if running other Oracle Forms based applications.

Changes

Upgraded Forms from 12.2.1.3 to 12.2.1.4.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.